To use this module, install it as a dev-dependency along with eslint, prettier, and eslint-plugin-prettier

```sh
npm install --save-dev https://libs.it.ntnu.no/npm/ntnu-eslint-config-1.0.3.tgz \
    eslint prettier eslint-plugin-prettier
```

and add some additional entries to package.json:
```sh
node -e '
  const pkg = (() => {
    try { return require("./package.json"); } catch { return {}; }
  })();
  pkg.eslintConfig = {extends: "@ntnu/eslint-config"};
  pkg.prettier = "@ntnu/eslint-config/prettier.config";
  pkg.scripts = Object.assign({}, pkg.scripts, {
    lint: "eslint .",
    ["lint:fix"]: "eslint --fix .",
    format: "prettier --write \"**/*.js\"",
  });

  fs.writeFileSync("package.json.tmp", JSON.stringify(pkg, null, 2));
  fs.renameSync("package.json.tmp", "package.json");
'
```

To run the linter on the code

```sh
npm run -s lint
```

Some of the problems listed may be fixed automatically with
```sh
npm run -s lint:fix
```

Prettier can also be run by itself, without eslint
```sh
npm run -s format
```
