module.exports = {
  extends: ['eslint:recommended'],
  env: {
    node: true,
    es6: true,
  },
  parserOptions: {
    ecmaVersion: 2022,
    sourceType: 'module',
  },
  // full list of rules at https://eslint.org/docs/rules/
  rules: {
    curly: 'warn',
    'eol-last': 'error',
    eqeqeq: ['error', 'smart'],
    'no-buffer-constructor': 'error',
    'no-console': 'warn',
    'no-else-return': 'warn',
    'no-unreachable': 'warn',
    'no-unused-vars': 'warn',
    'no-var': 'warn',
    'prefer-const': 'warn',
    'prefer-promise-reject-errors': 'error',
    'prettier/prettier': [
      'error',
      // Full list of options at https://prettier.io/docs/en/options.html
      {
        useTabs: false,
        tabWidth: 2,
        singleQuote: true,
        trailingComma: 'es5',
        bracketSpacing: false,
        arrowParens: 'always',
        endOfLine: 'lf',
        printWidth: 80,
        quoteProps: 'preserve',
      },
    ],
    semi: 'error',
    'unicode-bom': ['error', 'never'],
  },
  plugins: ['prettier'],
};
